# Uses of Class
com.microsoft.sqlserver.jdbc.SQLServerConnection

Packages that use SQLServerConnection
Package
Description
com.microsoft.sqlserver.jdbc

## Uses of SQLServerConnection in com.microsoft.sqlserver.jdbc

Subclasses of SQLServerConnection in com.microsoft.sqlserver.jdbc
Modifier and Type
Class
Description
`class`
`SQLServerConnection43`
Extends `SQLServerConnection43` and implements `ISQLServerConnection43` with methods introduced in JDBC 4.3 Specifications.
Methods in com.microsoft.sqlserver.jdbc with parameters of type SQLServerConnection
Modifier and Type
Method
Description
`ArrayList<byte[]>`
SQLServerAASEnclaveProvider.`createEnclaveSession(SQLServerConnection connection, SQLServerStatement statement, String userSql, String preparedTypeDefinitions, com.microsoft.sqlserver.jdbc.Parameter[] params, ArrayList<String> parameterNames)`
`ArrayList<byte[]>`
SQLServerNoneEnclaveProvider.`createEnclaveSession(SQLServerConnection connection, SQLServerStatement statement, String userSql, String preparedTypeDefinitions, com.microsoft.sqlserver.jdbc.Parameter[] params, ArrayList<String> parameterNames)`
`ArrayList<byte[]>`
SQLServerVSMEnclaveProvider.`createEnclaveSession(SQLServerConnection connection, SQLServerStatement statement, String userSql, String preparedTypeDefinitions, com.microsoft.sqlserver.jdbc.Parameter[] params, ArrayList<String> parameterNames)`
Constructors in com.microsoft.sqlserver.jdbc with parameters of type SQLServerConnection
Modifier
Constructor
Description
``
`SQLServerBlob(SQLServerConnection connection, byte[] data)`
Deprecated.
Use `createBlob()` instead.
``
`SQLServerClob(SQLServerConnection connection, String data)`
Deprecated.
Use `createClob()` instead.
``
`SQLServerDatabaseMetaData(SQLServerConnection con)`
Constructs a SQLServerDatabaseMetaData database meta data
``
`SQLServerSavepoint(SQLServerConnection con, String sName)`
Constructs a SQLServerSavepoint.